#ifndef TastaturEreignis_H
#define TastaturEreignis_H

#define WIN32_LEAN_AND_MEAN
#include <Windows.h>

namespace Framework
{
	const int TE_Press = 0;
	const int TE_Release = 1;
	const unsigned char T_Esc = 27;
	const unsigned char T_Tab = 0;
	const unsigned char T_Enter = 13;
	const unsigned char T_BackSpace = 8;
	const unsigned char T_Space = 32;
	const unsigned char T_Caps_Lock = 129;
	const unsigned char T_Shift = 130;
	const unsigned char T_Strg = 141;
	const unsigned char T_F1 = 143;
	const unsigned char T_F2 = 144;
	const unsigned char T_F3 = 157;
	const unsigned char T_F4 = 160;
	const unsigned char T_F5 = 130;
	const unsigned char T_F6 = 132;
	const unsigned char T_F7 = 133;
	const unsigned char T_F8 = 134;
	const unsigned char T_F9 = 135;
	const unsigned char T_F10 = 136;
	const unsigned char T_F11 = 137;
	const unsigned char T_F12 = 138;
	const unsigned char T_Pause = 139;
	const unsigned char T_Druck = 140;
	const unsigned char T_Einfg = 142;
	const unsigned char T_Entf = 145;
	const unsigned char T_Links = 146;
	const unsigned char T_Oben = 147;
	const unsigned char T_Rechts = 148;
	const unsigned char T_Unten = 149;
	const unsigned char T_Alt_Gr = 150;
	const unsigned char T_Num = 151;
	const unsigned char T_Pos1 = 152;
	const unsigned char T_BildO = 153;
	const unsigned char T_BildU = 154;
	const unsigned char T_Ende = 155;

	struct TastaturEreignis
	{
		int id;
		unsigned char taste;
		bool verarbeitet;
	};

	bool _ret1TE( void *obj, TastaturEreignis me );
}

#endif